# $Revision: 1.36 $, $Date: 2003/12/29 12:31:55 $
Summary:	Simple DirectMedia Layer - ttf handling
Summary(pl):	Biblioteka obsugi fontw TTF
Summary(pt_BR):	Simple DirectMedia Layer - Biblioteca de fontes TrueType
Name:		SDL_ttf
Version:	2.0.6
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.gz
# Source0-md5:	880ca22ac3e8beb5cca2326cc8069733
Patch0:		%{name}-ft2build_h.patch
URL:		http://www.libsdl.org/projects/SDL_ttf/
BuildRequires:	SDL-devel >= 1.2.5-2
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a sample library which allows you to use TrueType fonts in
your SDL applications. It comes with an example program "sdlfont"
which displays an example string for a given TrueType font file.

%description -l pl
Przykadowa biblioteka do obsugi fontw TrueType w aplikacjach SDL.
Pakiet zawiera przykadowy program "sdlfont", wywietlajcy
przykadowy cig znakw zadanym fontem TrueType.

%description -l pt_BR
Esta  uma biblioteca que permite a utilizao de fontes TrueType em
suas aplicaes SDL. Ela vem com o programa exemplo "showfont" que
mostra uma string exemplo para uma fonte TrueType fornecida.

%package devel
Summary:	Header files and more to develop SDL_ttf applications
Summary(pl):	Pliki nagwkowe do rozwijania aplikacji uywajcych SDL_ttf
Summary(pt_BR):	Cabealhos para desenvolver programas utilizando a %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_ttf applications.

%description devel -l pl
Pliki nagwkowe do rozwijania aplikacji uywajcych SDL_ttf.

%description devel -l pt_BR
Este pacote contm os cabealhos que programadores vo precisar para
desenvolver aplicaes utilizando a %{name}.

%package static
Summary:	Static SDL_ttf libraries
Summary(pl):	Biblioteki statyczne SDL_ttf
Summary(pt_BR):	Biblioteca esttica para desenvolvimento utilizando a %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static SDL_ttf libraries.

%description static -l pl
Biblioteki statyczne SDL_ttf.

%description static -l pt_BR
Este pacote contm a biblioteca esttica que programadores vo
precisar para desenvolver aplicaes linkados estaticamente com a
%{name}.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install showfont $RPM_BUILD_ROOT%{_bindir}/sdlfont

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/SDL/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_ttf.spec,v $
Revision 1.36  2003/12/29 12:31:55  qboosh
- cleanups here and in ft2build_h patch; release 2

Revision 1.35  2003/12/29 11:20:42  jajcus
- freetype headers useg fix (-ft2build_h.patch)

Revision 1.34  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.33  2003/06/12 12:15:50  qboosh
- BR freetype-devel >= 2.1.4 (doesn't build with = 2.1.3)

Revision 1.32  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.31  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/25 14:21:03  trojan
- updated to 2.0.6

Revision 1.29  2003/02/19 23:51:20  qboosh
- new %%doc

Revision 1.28  2003/01/16 00:34:38  aflinta
- moved to /usr; release 2

Revision 1.27  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.26  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/18 19:30:08  kloczek
- merge translatiobs from Conectiva.

Revision 1.22  2002/05/18 16:56:29  qboosh
- updated to 2.0.5
- fixes in descriptions
- removed PBProjects.tar.gz from doc (it's big and has no use on Linux)

Revision 1.21  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/03/21 10:07:00  qboosh
- fixed Source0 URL

Revision 1.19  2002/03/19 18:21:42  filon
- updated to 2.0.4 (use freetype2)
- updated buldrequires
- STBR (for this pkg, python-pygame, etc..)

Revision 1.18  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/01 14:54:51  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.16  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/08/15 19:41:49  kloczek
- release 4: make spec ac 2.5x ready.

Revision 1.14  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.13  2001/04/02 20:02:22  kloczek
- changed Buildrequires for SDL-devel to ">= 1.2.0".

Revision 1.12  2001/04/02 13:44:49  misiek
release 3; rebuild with SDL 1.2.0; stb

Revision 1.11  2001/03/19 21:41:36  kloczek
- reelase 2: rebuild against freetype1.

Revision 1.10  2000/10/25 03:33:23  kloczek
- updated to 1.2.2.

Revision 1.9  2000/10/25 00:18:56  kloczek
- release 3: use new rpm automation.

Revision 1.8  2000/08/21 14:01:47  kloczek
- typo.

Revision 1.7  2000/08/21 13:58:06  kloczek
- release 2,
- rename showfont to sdlfont to avoid conflict between SDL_ttf and
  XFree86-tools.

Revision 1.6  2000/07/02 19:47:29  kloczek
- updated to 1.2.1.

Revision 1.5  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.2  2000/04/11 21:29:07  kloczek
- completly rewrited in PLD style.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
